TPM2-TSS(1)

NAME
tpmclient - client to connect TPM resource manager

SYNOPSIS

tpmclient [-rmhost {hostname | ip_addr}] [-rmport port] [-passes passNum] [-demoDelay delay] [-dbg dbgLevel] [-startAuthSessionTest] [-localTctiTest]

DESCRIPTION

This manual page documents briefly the tpmclient command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

tpmclient is a program that connects to the resources manager of TPM.

OPTIONS

The program's long options starts with one dashes (`-'). A summary of options is included below.

-rmhost {hostname | ip_addr}
    specifies the host IP address for the system running the resource manager (default: 127.0.0.1)

-rmport port
    specifies the port number for the system running the resource manager (default: 2323)

-passes passNum
    specifies the number of test passes (default: 1)

-demoDelay delay
    specifies a delay in units of loops, not time (default: 0)

-dbg dbgLevel

    specifies level of debug messages:

        • 0 - (high level test results)

        • 1 - (test app send/receive byte streams)

-startAuthSessionTest
    enables some special tests of the resource manager for starting sessions

-localTctiTest
    enables a TCTI interface test against a local TPM. WARNING: This test requires no resource manager and a local TPM

SEE ALSO

resourcemgr(1), tpmtest(1)

AUTHOR

Ying-Chun Liu <paulliu@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2017 Ying-Chun Liu (PaulLiu)

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-3.